Use the API key created under your merchant account from the Vaultera Switch dashboard. API key is used to authenticate API requests from your merchant server only. Don't expose this key on a website or embed it in a mobile application.
Path Parameters
payment_id
string
required
The identifier for payment
Body
application/json
amount
integer<int64> | null
The payment amount. Amount for the payment in the lowest denomination of the currency, (i.e) in cents for USD denomination, in yen for JPY denomination etc. E.g., Pass 100 to charge $1.00 and 1 for 1¥ since ¥ is a zero-decimal currency. Read more about [the Decimal and Non-Decimal Currencies](https://github.com/juspay/vaultera switch/wiki/Decimal-and-Non%E2%80%90Decimal-Currencies)
Required range: x >= 0
Example:
6540
order_tax_amount
integer<int64> | null
Total tax amount applicable to the order
Example:
6540
currency
enum<string> | null
The three letter ISO currency code in uppercase. Eg: 'USD' for the United States Dollar.
Available options:
AED,
AFN,
ALL,
AMD,
ANG,
AOA,
ARS,
AUD,
AWG,
AZN,
BAM,
BBD,
BDT,
BGN,
BHD,
BIF,
BMD,
BND,
BOB,
BRL,
BSD,
BTN,
BWP,
BYN,
BZD,
CAD,
CDF,
CHF,
CLF,
CLP,
CNY,
COP,
CRC,
CUC,
CUP,
CVE,
CZK,
DJF,
DKK,
DOP,
DZD,
EGP,
ERN,
ETB,
EUR,
FJD,
FKP,
GBP,
GEL,
GHS,
GIP,
GMD,
GNF,
GTQ,
GYD,
HKD,
HNL,
HRK,
HTG,
HUF,
IDR,
ILS,
INR,
IQD,
IRR,
ISK,
JMD,
JOD,
JPY,
KES,
KGS,
KHR,
KMF,
KPW,
KRW,
KWD,
KYD,
KZT,
LAK,
LBP,
LKR,
LRD,
LSL,
LYD,
MAD,
MDL,
MGA,
MKD,
MMK,
MNT,
MOP,
MRU,
MUR,
MVR,
MWK,
MXN,
MYR,
MZN,
NAD,
NGN,
NIO,
NOK,
NPR,
NZD,
OMR,
PAB,
PEN,
PGK,
PHP,
PKR,
PLN,
PYG,
QAR,
RON,
RSD,
RUB,
RWF,
SAR,
SBD,
SCR,
SDG,
SEK,
SGD,
SHP,
SLE,
SLL,
SOS,
SRD,
SSP,
STD,
STN,
SVC,
SYP,
SZL,
THB,
TJS,
TMT,
TND,
TOP,
TRY,
TTD,
TWD,
TZS,
UAH,
UGX,
USD,
UYU,
UZS,
VES,
VND,
VUV,
WST,
XAF,
XCD,
XOF,
XPF,
YER,
ZAR,
ZMW,
ZWL
amount_to_capture
integer<int64> | null
The Amount to be captured / debited from the users payment method. It shall be in lowest denomination of the currency. (i.e) in cents for USD denomination, in paisa for INR denomination etc., If not provided, the default amount_to_capture will be the payment amount. Also, it must be less than or equal to the original payment account.
Example:
6540
shipping_cost
integer<int64> | null
The shipping cost for the payment. This is required for tax calculation in some regions.
Example:
6540
payment_id
string | null
Unique identifier for the payment. This ensures idempotency for multiple payments
that have been done by a single merchant. The value for this field can be specified in the request, it will be auto generated otherwise and returned in the API response.
Required string length: 30
Example:
"pay_mbabizu24mvu3mela5njyhpit4"
routing
Single · object
Single
Priority
VolumeSplit
Show child attributes
connector
enum<string>[] | null
This allows to manually select a connector with which the payment can go through.
Available options:
straumur,
valitor,
teya,
adyenplatform,
phonypay,
fauxpay,
pretendpay,
stripe_test,
adyen_test,
checkout_test,
paypal_test,
aci,
adyen,
airwallex,
authorizedotnet,
bambora,
bamboraapac,
bankofamerica,
billwerk,
bitpay,
bluesnap,
boku,
braintree,
cashtocode,
chargebee,
checkout,
coinbase,
coingate,
cryptopay,
ctp_mastercard,
ctp_visa,
cybersource,
datatrans,
deutschebank,
digitalvirgo,
dlocal,
ebanx,
elavon,
fiserv,
fiservemea,
fiuu,
forte,
getnet,
globalpay,
globepay,
gocardless,
gpayments,
hipay,
helcim,
inespay,
iatapay,
itaubank,
jpmorgan,
juspaythreedsserver,
klarna,
mifinity,
mollie,
moneris,
multisafepay,
netcetera,
nexinets,
nexixpay,
nmi,
nomupay,
noon,
novalnet,
nuvei,
opennode,
paybox,
payme,
payone,
paypal,
paystack,
payu,
placetopay,
powertranz,
prophetpay,
rapyd,
razorpay,
recurly,
redsys,
shift4,
square,
stax,
stripe,
stripebilling,
taxjar,
threedsecureio,
trustpay,
tsys,
volt,
wellsfargo,
wise,
worldline,
worldpay,
signifyd,
plaid,
riskified,
xendit,
zen,
zsl
Example:
["stripe", "adyen"]
capture_method
enum<string> | null
Default value if not passed is set to 'automatic' which results in Auth and Capture in one single API request. Pass 'manual' or 'manual_multiple' in case you want do a separate Auth and Capture by first authorizing and placing a hold on your customer's funds so that you can use the Payments/Capture endpoint later to capture the authorized amount. Pass 'manual' if you want to only capture the amount later once or 'manual_multiple' if you want to capture the funds multiple times later. Both 'manual' and 'manual_multiple' are only supported by a specific list of processors
Available options:
automatic,
manual,
manual_multiple,
scheduled,
sequential_automatic
authentication_type
enum<string> | null
default:three_ds
Pass this parameter to force 3DS or non 3DS auth for this payment. Some connectors will still force 3DS auth even in case of passing 'no_three_ds' here and vice versa. Default value is 'no_three_ds' if not set
Available options:
three_ds,
no_three_ds
billing
object | null
Show child attributes
confirm
boolean | null
default:false
Whether to confirm the payment (if applicable). It can be used to completely process a payment by attaching a payment method, setting confirm=true and capture_method = automatic in the Payments/Create API request itself.
Example:
true
customer
object | null
Passing this object creates a new customer or attaches an existing customer to the payment
Show child attributes
customer_id
string | null
The identifier for the customer
Required string length: 1 - 64
Example:
"cus_y3oqhf46pyzuxjbcn2giaqnb44"
off_session
boolean | null
Set to true to indicate that the customer is not in your checkout flow during this payment, and therefore is unable to authenticate. This parameter is intended for scenarios where you collect card details and charge them later. When making a recurring payment by passing a mandate_id, this parameter is mandatory
Example:
true
description
string | null
A description for the payment
Example:
"It's my first payment request"
return_url
string | null
The URL to which you want the user to be redirected after the completion of the payment operation
Example:
"https://vaultera.co"
setup_future_usage
enum<string> | null
Indicates that you intend to make future payments with the payment methods used for this Payment. Providing this parameter will attach the payment method to the Customer, if present, after the Payment is confirmed and any required actions from the user are complete.
On_session - Payment method saved only at Vaultera Switch when consent is provided by the user. CVV will asked during the returning user payment
Off_session - Payment method saved at both Vaultera Switch and Processor when consent is provided by the user. No input is required during the returning user payment.
Available options:
off_session,
on_session
payment_method_data
Card · object
The payment method information provided for making a payment
Card
CardRedirect
Wallet
PayLater
BankRedirect
BankDebit
BankTransfer
RealTimePayment
Crypto
Upi
Voucher
GiftCard
CardToken
OpenBanking
MobilePayment
Show child attributes
payment_method
enum<string> | null
Indicates the type of payment method. Eg: 'card', 'wallet', etc.
Available options:
card,
card_redirect,
pay_later,
wallet,
bank_redirect,
bank_transfer,
crypto,
bank_debit,
reward,
real_time_payment,
upi,
voucher,
gift_card,
open_banking,
mobile_payment
payment_token
string | null
As Vaultera Switch tokenises the sensitive details about the payments method, it provides the payment_token as a reference to a stored payment method, ensuring that the sensitive details are not exposed in any manner.
Example:
"187282ab-40ef-47a9-9206-5099ba31e432"
shipping
object | null
Show child attributes
statement_descriptor_name
string | null
For non-card charges, you can use this value as the complete description that appears on your customers’ statements. Must contain at least one letter, maximum 22 characters.
Maximum string length: 255
Example:
"Vaultera Switch Router"
statement_descriptor_suffix
string | null
Provides information about a card payment that customers see on their statements. Concatenated with the prefix (shortened descriptor) or statement descriptor that’s set on the account to form the complete statement descriptor. Maximum 22 characters for the concatenated descriptor.
Maximum string length: 255
Example:
"Payment for shoes purchase"
order_details
object[] | null
Use this object to capture the details about the different products for which the payment is being made. The sum of amount across different products here should be equal to the overall payment amount
Passing this object during payments creates a mandate. The mandate_type sub object is passed by the server.
Show child attributes
customer_acceptance
object | null
This "CustomerAcceptance" object is passed during Payments-Confirm request, it enlists the type, time, and mode of acceptance properties related to an acceptance done by the customer. The customer_acceptance sub object is usually passed by the SDK or client.
Show child attributes
mandate_id
string | null
A unique identifier to link the payment to a mandate. To do Recurring payments after a mandate has been created, pass the mandate_id instead of payment_method_data
Maximum string length: 255
Example:
"mandate_iwer89rnjef349dni3"
browser_info
object | null
Browser information to be used for 3DS 2.0
Show child attributes
payment_experience
enum<string> | null
To indicate the type of payment experience that the customer would go through
Available options:
redirect_to_url,
invoke_sdk_client,
display_qr_code,
one_click,
link_wallet,
invoke_payment_app,
display_wait_screen,
collect_otp
payment_method_type
enum<string> | null
Indicates the sub type of payment method. Eg: 'google_pay' & 'apple_pay' for wallets.
Available options:
ach,
affirm,
afterpay_clearpay,
alfamart,
ali_pay,
ali_pay_hk,
alma,
amazon_pay,
apple_pay,
atome,
bacs,
bancontact_card,
becs,
benefit,
bizum,
blik,
boleto,
bca_bank_transfer,
bni_va,
bri_va,
card_redirect,
cimb_va,
classic,
credit,
crypto_currency,
cashapp,
dana,
danamon_va,
debit,
duit_now,
efecty,
eft,
eps,
fps,
evoucher,
giropay,
givex,
google_pay,
go_pay,
gcash,
ideal,
interac,
indomaret,
klarna,
kakao_pay,
local_bank_redirect,
mandiri_va,
knet,
mb_way,
mobile_pay,
momo,
momo_atm,
multibanco,
online_banking_thailand,
online_banking_czech_republic,
online_banking_finland,
online_banking_fpx,
online_banking_poland,
online_banking_slovakia,
oxxo,
pago_efectivo,
permata_bank_transfer,
open_banking_uk,
pay_bright,
paypal,
paze,
pix,
pay_safe_card,
przelewy24,
prompt_pay,
pse,
red_compra,
red_pagos,
samsung_pay,
sepa,
sepa_bank_transfer,
sofort,
swish,
touch_n_go,
trustly,
twint,
upi_collect,
upi_intent,
vipps,
viet_qr,
venmo,
walley,
we_chat_pay,
seven_eleven,
lawson,
mini_stop,
family_mart,
seicomart,
pay_easy,
local_bank_transfer,
mifinity,
open_banking_pis,
direct_carrier_billing,
instant_bank_transfer
merchant_connector_details
object | null
Merchant connector details used to make payments.
Show child attributes
allowed_payment_method_types
enum<string>[] | null
Use this parameter to restrict the Payment Method Types to show for a given PaymentIntent
Indicates the sub type of payment method. Eg: 'google_pay' & 'apple_pay' for wallets.
Available options:
ach,
affirm,
afterpay_clearpay,
alfamart,
ali_pay,
ali_pay_hk,
alma,
amazon_pay,
apple_pay,
atome,
bacs,
bancontact_card,
becs,
benefit,
bizum,
blik,
boleto,
bca_bank_transfer,
bni_va,
bri_va,
card_redirect,
cimb_va,
classic,
credit,
crypto_currency,
cashapp,
dana,
danamon_va,
debit,
duit_now,
efecty,
eft,
eps,
fps,
evoucher,
giropay,
givex,
google_pay,
go_pay,
gcash,
ideal,
interac,
indomaret,
klarna,
kakao_pay,
local_bank_redirect,
mandiri_va,
knet,
mb_way,
mobile_pay,
momo,
momo_atm,
multibanco,
online_banking_thailand,
online_banking_czech_republic,
online_banking_finland,
online_banking_fpx,
online_banking_poland,
online_banking_slovakia,
oxxo,
pago_efectivo,
permata_bank_transfer,
open_banking_uk,
pay_bright,
paypal,
paze,
pix,
pay_safe_card,
przelewy24,
prompt_pay,
pse,
red_compra,
red_pagos,
samsung_pay,
sepa,
sepa_bank_transfer,
sofort,
swish,
touch_n_go,
trustly,
twint,
upi_collect,
upi_intent,
vipps,
viet_qr,
venmo,
walley,
we_chat_pay,
seven_eleven,
lawson,
mini_stop,
family_mart,
seicomart,
pay_easy,
local_bank_transfer,
mifinity,
open_banking_pis,
direct_carrier_billing,
instant_bank_transfer
retry_action
enum<string> | null
Denotes the retry action
Available options:
manual_retry,
requeue
metadata
object | null
You can specify up to 50 keys, with key names up to 40 characters long and values up to 500 characters long. Metadata is useful for storing additional, structured information on an object.
connector_metadata
object | null
Some connectors like Apple Pay, Airwallex and Noon might require some additional information, find specific details in the child attributes below.
Show child attributes
payment_link
boolean | null
default:false
Whether to generate the payment link for this payment or not (if applicable)
Example:
true
payment_link_config
object | null
Configure a custom payment link for the particular payment
Show child attributes
payment_link_config_id
string | null
Custom payment link config id set at business profile, send only if business_specific_configs is configured
payment_type
enum<string> | null
The type of the payment that differentiates between normal and various types of mandate payments. Use 'setup_mandate' in case of zero auth flow.
Available options:
normal,
new_mandate,
setup_mandate,
recurring_mandate
request_incremental_authorization
boolean | null
Request an incremental authorization, i.e., increase the authorized amount on a confirmed payment before you capture it.
session_expiry
integer<int32> | null
Will be used to expire client secret after certain amount of time to be supplied in seconds
(900) for 15 mins
Required range: x >= 0
Example:
900
frm_metadata
object | null
Additional data related to some frm(Fraud Risk Management) connectors
request_external_three_ds_authentication
boolean | null
Whether to perform external authentication (if applicable)
Example:
true
recurring_details
object
Details required for recurring payment
Option 1
Option 2
Option 3
Option 4
Show child attributes
split_payments
object
Fee information for Split Payments to be charged on the payment being collected
Option 1
Option 2
Option 3
Show child attributes
request_extended_authorization
boolean | null
default:false
Optional boolean value to extent authorization period of this payment
capture method must be manual or manual_multiple
merchant_order_reference_id
string | null
Merchant's identifier for the payment/invoice. This will be sent to the connector
if the connector provides support to accept multiple reference ids.
In case the connector supports only one reference id, Vaultera Switch's Payment ID will be sent as reference.
Maximum string length: 255
Example:
"Custom_Order_id_123"
skip_external_tax_calculation
boolean | null
Whether to calculate tax for this payment intent
psd2_sca_exemption_type
enum<string> | null
SCA Exemptions types available for authentication
Available options:
low_value,
transaction_risk_analysis
ctp_service_details
object | null
Show child attributes
force_3ds_challenge
boolean | null
Indicates if 3ds challenge is forced
threeds_method_comp_ind
enum<string> | null
Available options:
Y,
N,
U
Response
Payment confirmed
payment_id
string
required
Unique identifier for the payment. This ensures idempotency for multiple payments
that have been done by a single merchant.
Required string length: 30
Example:
"pay_mbabizu24mvu3mela5njyhpit4"
merchant_id
string
required
This is an identifier for the merchant account. This is inferred from the API key
provided during the request
Maximum string length: 255
Example:
"merchant_1668273825"
status
enum<string>
default:requires_confirmation
required
The status of the current payment that was made
Available options:
succeeded,
failed,
cancelled,
processing,
requires_customer_action,
requires_merchant_action,
requires_payment_method,
requires_confirmation,
requires_capture,
partially_captured,
partially_captured_and_capturable
amount
integer<int64>
required
The payment amount. Amount for the payment in lowest denomination of the currency. (i.e) in cents for USD denomination, in paisa for INR denomination etc.,
Example:
6540
net_amount
integer<int64>
required
The payment net amount. net_amount = amount + surcharge_details.surcharge_amount + surcharge_details.tax_amount + shipping_cost + order_tax_amount,
If no surcharge_details, shipping_cost, order_tax_amount, net_amount = amount
Example:
6540
amount_capturable
integer<int64>
required
The maximum amount that could be captured from the payment
Required range: x >= 100
Example:
6540
currency
enum<string>
required
The three letter ISO currency code in uppercase. Eg: 'USD' for the United States Dollar.
Available options:
AED,
AFN,
ALL,
AMD,
ANG,
AOA,
ARS,
AUD,
AWG,
AZN,
BAM,
BBD,
BDT,
BGN,
BHD,
BIF,
BMD,
BND,
BOB,
BRL,
BSD,
BTN,
BWP,
BYN,
BZD,
CAD,
CDF,
CHF,
CLF,
CLP,
CNY,
COP,
CRC,
CUC,
CUP,
CVE,
CZK,
DJF,
DKK,
DOP,
DZD,
EGP,
ERN,
ETB,
EUR,
FJD,
FKP,
GBP,
GEL,
GHS,
GIP,
GMD,
GNF,
GTQ,
GYD,
HKD,
HNL,
HRK,
HTG,
HUF,
IDR,
ILS,
INR,
IQD,
IRR,
ISK,
JMD,
JOD,
JPY,
KES,
KGS,
KHR,
KMF,
KPW,
KRW,
KWD,
KYD,
KZT,
LAK,
LBP,
LKR,
LRD,
LSL,
LYD,
MAD,
MDL,
MGA,
MKD,
MMK,
MNT,
MOP,
MRU,
MUR,
MVR,
MWK,
MXN,
MYR,
MZN,
NAD,
NGN,
NIO,
NOK,
NPR,
NZD,
OMR,
PAB,
PEN,
PGK,
PHP,
PKR,
PLN,
PYG,
QAR,
RON,
RSD,
RUB,
RWF,
SAR,
SBD,
SCR,
SDG,
SEK,
SGD,
SHP,
SLE,
SLL,
SOS,
SRD,
SSP,
STD,
STN,
SVC,
SYP,
SZL,
THB,
TJS,
TMT,
TND,
TOP,
TRY,
TTD,
TWD,
TZS,
UAH,
UGX,
USD,
UYU,
UZS,
VES,
VND,
VUV,
WST,
XAF,
XCD,
XOF,
XPF,
YER,
ZAR,
ZMW,
ZWL
payment_method
enum<string>
required
Indicates the type of payment method. Eg: 'card', 'wallet', etc.
Available options:
card,
card_redirect,
pay_later,
wallet,
bank_redirect,
bank_transfer,
crypto,
bank_debit,
reward,
real_time_payment,
upi,
voucher,
gift_card,
open_banking,
mobile_payment
attempt_count
integer<int32>
required
Total number of attempts associated with this payment
shipping_cost
integer<int64> | null
The shipping cost for the payment.
Example:
6540
amount_received
integer<int64> | null
The amount which is already captured from the payment, this helps in the cases where merchants can't capture all capturable amount at once.
The identifier for the customer object. If not provided the customer ID will be autogenerated.
This field will be deprecated soon. Please refer to customer.id
Required string length: 1 - 64
Example:
"cus_y3oqhf46pyzuxjbcn2giaqnb44"
description
string | null
A description of the payment
Example:
"It's my first payment request"
refunds
object[] | null
List of refunds that happened on this intent, as same payment intent can have multiple refund requests depending on the nature of order
Show child attributes
disputes
object[] | null
List of disputes that happened on this intent
Show child attributes
attempts
object[] | null
List of attempts that happened on this intent
Show child attributes
captures
object[] | null
List of captures done on latest attempt
Show child attributes
mandate_id
string | null
A unique identifier to link the payment to a mandate, can be used instead of payment_method_data, in case of setting up recurring payments
Maximum string length: 255
Example:
"mandate_iwer89rnjef349dni3"
mandate_data
object | null
Passing this object during payments creates a mandate. The mandate_type sub object is passed by the server.
Show child attributes
setup_future_usage
enum<string> | null
Indicates that you intend to make future payments with the payment methods used for this Payment. Providing this parameter will attach the payment method to the Customer, if present, after the Payment is confirmed and any required actions from the user are complete.
On_session - Payment method saved only at Vaultera Switch when consent is provided by the user. CVV will asked during the returning user payment
Off_session - Payment method saved at both Vaultera Switch and Processor when consent is provided by the user. No input is required during the returning user payment.
Available options:
off_session,
on_session
off_session
boolean | null
Set to true to indicate that the customer is not in your checkout flow during this payment, and therefore is unable to authenticate. This parameter is intended for scenarios where you collect card details and charge them later. This parameter can only be used with confirm=true.
Example:
true
capture_method
enum<string> | null
Default value if not passed is set to 'automatic' which results in Auth and Capture in one single API request. Pass 'manual' or 'manual_multiple' in case you want do a separate Auth and Capture by first authorizing and placing a hold on your customer's funds so that you can use the Payments/Capture endpoint later to capture the authorized amount. Pass 'manual' if you want to only capture the amount later once or 'manual_multiple' if you want to capture the funds multiple times later. Both 'manual' and 'manual_multiple' are only supported by a specific list of processors
Available options:
automatic,
manual,
manual_multiple,
scheduled,
sequential_automatic
payment_method_data
object
Option 1
Option 2
Option 3
Option 4
Option 5
Option 6
Option 7
Option 8
Option 9
Option 10
Option 11
Option 12
Option 13
Option 14
Option 15
Option 16
Option 17
Show child attributes
payment_token
string | null
Provide a reference to a stored payment method
Example:
"187282ab-40ef-47a9-9206-5099ba31e432"
shipping
object | null
Show child attributes
billing
object | null
Show child attributes
order_details
object[] | null
Information about the product , quantity and amount for connectors. (e.g. Klarna)
description: The customer's email address
This field will be deprecated soon. Please refer to customer.email object
Maximum string length: 255
Example:
"johntest@test.com"
name
string | null
deprecated
description: The customer's name
This field will be deprecated soon. Please refer to customer.name object
Maximum string length: 255
Example:
"John Test"
phone
string | null
deprecated
The customer's phone number
This field will be deprecated soon. Please refer to customer.phone object
Maximum string length: 255
Example:
"9123456789"
return_url
string | null
The URL to redirect after the completion of the operation
Example:
"https://vaultera.co"
authentication_type
enum<string> | null
default:three_ds
Pass this parameter to force 3DS or non 3DS auth for this payment. Some connectors will still force 3DS auth even in case of passing 'no_three_ds' here and vice versa. Default value is 'no_three_ds' if not set
Available options:
three_ds,
no_three_ds
statement_descriptor_name
string | null
For non-card charges, you can use this value as the complete description that appears on your customers’ statements. Must contain at least one letter, maximum 22 characters.
Maximum string length: 255
Example:
"Vaultera Switch Router"
statement_descriptor_suffix
string | null
Provides information about a card payment that customers see on their statements. Concatenated with the prefix (shortened descriptor) or statement descriptor that’s set on the account to form the complete statement descriptor. Maximum 255 characters for the concatenated descriptor.
Maximum string length: 255
Example:
"Payment for shoes purchase"
next_action
object
Contains the url for redirection flow
Option 1
Option 2
Option 3
Option 4
Option 5
Option 6
Option 7
Option 8
Option 9
Option 10
Option 11
Show child attributes
cancellation_reason
string | null
If the payment was cancelled the reason will be provided here
error_code
string | null
If there was an error while calling the connectors the code is received here
Example:
"E0001"
error_message
string | null
If there was an error while calling the connector the error message is received here
Example:
"Failed while verifying the card"
payment_experience
enum<string> | null
To indicate the type of payment experience that the customer would go through
Available options:
redirect_to_url,
invoke_sdk_client,
display_qr_code,
one_click,
link_wallet,
invoke_payment_app,
display_wait_screen,
collect_otp
payment_method_type
enum<string> | null
Indicates the sub type of payment method. Eg: 'google_pay' & 'apple_pay' for wallets.
Available options:
ach,
affirm,
afterpay_clearpay,
alfamart,
ali_pay,
ali_pay_hk,
alma,
amazon_pay,
apple_pay,
atome,
bacs,
bancontact_card,
becs,
benefit,
bizum,
blik,
boleto,
bca_bank_transfer,
bni_va,
bri_va,
card_redirect,
cimb_va,
classic,
credit,
crypto_currency,
cashapp,
dana,
danamon_va,
debit,
duit_now,
efecty,
eft,
eps,
fps,
evoucher,
giropay,
givex,
google_pay,
go_pay,
gcash,
ideal,
interac,
indomaret,
klarna,
kakao_pay,
local_bank_redirect,
mandiri_va,
knet,
mb_way,
mobile_pay,
momo,
momo_atm,
multibanco,
online_banking_thailand,
online_banking_czech_republic,
online_banking_finland,
online_banking_fpx,
online_banking_poland,
online_banking_slovakia,
oxxo,
pago_efectivo,
permata_bank_transfer,
open_banking_uk,
pay_bright,
paypal,
paze,
pix,
pay_safe_card,
przelewy24,
prompt_pay,
pse,
red_compra,
red_pagos,
samsung_pay,
sepa,
sepa_bank_transfer,
sofort,
swish,
touch_n_go,
trustly,
twint,
upi_collect,
upi_intent,
vipps,
viet_qr,
venmo,
walley,
we_chat_pay,
seven_eleven,
lawson,
mini_stop,
family_mart,
seicomart,
pay_easy,
local_bank_transfer,
mifinity,
open_banking_pis,
direct_carrier_billing,
instant_bank_transfer
connector_label
string | null
The connector used for this payment along with the country and business details
Example:
"stripe_US_food"
business_country
enum<string> | null
Available options:
AF,
AX,
AL,
DZ,
AS,
AD,
AO,
AI,
AQ,
AG,
AR,
AM,
AW,
AU,
AT,
AZ,
BS,
BH,
BD,
BB,
BY,
BE,
BZ,
BJ,
BM,
BT,
BO,
BQ,
BA,
BW,
BV,
BR,
IO,
BN,
BG,
BF,
BI,
KH,
CM,
CA,
CV,
KY,
CF,
TD,
CL,
CN,
CX,
CC,
CO,
KM,
CG,
CD,
CK,
CR,
CI,
HR,
CU,
CW,
CY,
CZ,
DK,
DJ,
DM,
DO,
EC,
EG,
SV,
GQ,
ER,
EE,
ET,
FK,
FO,
FJ,
FI,
FR,
GF,
PF,
TF,
GA,
GM,
GE,
DE,
GH,
GI,
GR,
GL,
GD,
GP,
GU,
GT,
GG,
GN,
GW,
GY,
HT,
HM,
VA,
HN,
HK,
HU,
IS,
IN,
ID,
IR,
IQ,
IE,
IM,
IL,
IT,
JM,
JP,
JE,
JO,
KZ,
KE,
KI,
KP,
KR,
KW,
KG,
LA,
LV,
LB,
LS,
LR,
LY,
LI,
LT,
LU,
MO,
MK,
MG,
MW,
MY,
MV,
ML,
MT,
MH,
MQ,
MR,
MU,
YT,
MX,
FM,
MD,
MC,
MN,
ME,
MS,
MA,
MZ,
MM,
NA,
NR,
NP,
NL,
NC,
NZ,
NI,
NE,
NG,
NU,
NF,
MP,
NO,
OM,
PK,
PW,
PS,
PA,
PG,
PY,
PE,
PH,
PN,
PL,
PT,
PR,
QA,
RE,
RO,
RU,
RW,
BL,
SH,
KN,
LC,
MF,
PM,
VC,
WS,
SM,
ST,
SA,
SN,
RS,
SC,
SL,
SG,
SX,
SK,
SI,
SB,
SO,
ZA,
GS,
SS,
ES,
LK,
SD,
SR,
SJ,
SZ,
SE,
CH,
SY,
TW,
TJ,
TZ,
TH,
TL,
TG,
TK,
TO,
TT,
TN,
TR,
TM,
TC,
TV,
UG,
UA,
AE,
GB,
UM,
UY,
UZ,
VU,
VE,
VN,
VG,
VI,
WF,
EH,
YE,
ZM,
ZW,
US
business_label
string | null
The business label of merchant for this payment
business_sub_label
string | null
The business_sub_label for this payment
allowed_payment_method_types
enum<string>[] | null
Allowed Payment Method Types for a given PaymentIntent
Indicates the sub type of payment method. Eg: 'google_pay' & 'apple_pay' for wallets.
Available options:
ach,
affirm,
afterpay_clearpay,
alfamart,
ali_pay,
ali_pay_hk,
alma,
amazon_pay,
apple_pay,
atome,
bacs,
bancontact_card,
becs,
benefit,
bizum,
blik,
boleto,
bca_bank_transfer,
bni_va,
bri_va,
card_redirect,
cimb_va,
classic,
credit,
crypto_currency,
cashapp,
dana,
danamon_va,
debit,
duit_now,
efecty,
eft,
eps,
fps,
evoucher,
giropay,
givex,
google_pay,
go_pay,
gcash,
ideal,
interac,
indomaret,
klarna,
kakao_pay,
local_bank_redirect,
mandiri_va,
knet,
mb_way,
mobile_pay,
momo,
momo_atm,
multibanco,
online_banking_thailand,
online_banking_czech_republic,
online_banking_finland,
online_banking_fpx,
online_banking_poland,
online_banking_slovakia,
oxxo,
pago_efectivo,
permata_bank_transfer,
open_banking_uk,
pay_bright,
paypal,
paze,
pix,
pay_safe_card,
przelewy24,
prompt_pay,
pse,
red_compra,
red_pagos,
samsung_pay,
sepa,
sepa_bank_transfer,
sofort,
swish,
touch_n_go,
trustly,
twint,
upi_collect,
upi_intent,
vipps,
viet_qr,
venmo,
walley,
we_chat_pay,
seven_eleven,
lawson,
mini_stop,
family_mart,
seicomart,
pay_easy,
local_bank_transfer,
mifinity,
open_banking_pis,
direct_carrier_billing,
instant_bank_transfer
ephemeral_key
object | null
ephemeral_key for the customer_id mentioned
Show child attributes
manual_retry_allowed
boolean | null
If true the payment can be retried with same or different payment method which means the confirm call can be made again.
connector_transaction_id
string | null
A unique identifier for a payment provided by the connector
Example:
"993672945374576J"
frm_message
object | null
frm message is an object sent inside the payments response...when frm is invoked, its value is Some(...), else its None
Show child attributes
metadata
object | null
You can specify up to 50 keys, with key names up to 40 characters long and values up to 500 characters long. Metadata is useful for storing additional, structured information on an object.
connector_metadata
object | null
Some connectors like Apple Pay, Airwallex and Noon might require some additional information, find specific details in the child attributes below.
Show child attributes
feature_metadata
object | null
additional data that might be required by vaultera switch
Show child attributes
reference_id
string | null
reference(Identifier) to the payment at connector side
Example:
"993672945374576J"
payment_link
object | null
Show child attributes
profile_id
string | null
The business profile that is associated with this payment
surcharge_details
object | null
Details of surcharge applied on this payment, if applicable
Show child attributes
merchant_decision
string | null
Denotes the action(approve or reject) taken by merchant in case of manual review. Manual review can occur when the transaction is marked as risky by the frm_processor, payment processor or when there is underpayment/over payment incase of crypto payment
merchant_connector_id
string | null
Identifier of the connector ( merchant connector account ) which was chosen to make the payment
incremental_authorization_allowed
boolean | null
If true, incremental authorization can be performed on this payment, in case the funds authorized initially fall short.
authorization_count
integer<int32> | null
Total number of authorizations happened in an incremental_authorization payment
incremental_authorizations
object[] | null
List of incremental authorizations happened to the payment
Show child attributes
external_authentication_details
object | null
Details of external authentication
Show child attributes
external_3ds_authentication_attempted
boolean | null
Flag indicating if external 3ds authentication is made or not
expires_on
string<date-time> | null
Date Time for expiry of the payment
Example:
"2022-09-10T10:11:12Z"
fingerprint
string | null
Payment Fingerprint, to identify a particular card.
It is a 20 character long alphanumeric code.
browser_info
object | null
Browser information to be used for 3DS 2.0
Show child attributes
payment_method_id
string | null
Identifier for Payment Method used for the payment
payment_method_status
enum<string> | null
Payment Method Status
Available options:
active,
inactive,
processing,
awaiting_data
updated
string<date-time> | null
Date time at which payment was updated
Example:
"2022-09-10T10:11:12Z"
split_payments
object
Charge Information
Option 1
Option 2
Option 3
Show child attributes
frm_metadata
object | null
You can specify up to 50 keys, with key names up to 40 characters long and values up to 500 characters long. FRM Metadata is useful for storing additional, structured information on an object related to FRM.
extended_authorization_applied
boolean | null
flag that indicates if extended authorization is applied on this payment or not
capture_before
string<date-time> | null
date and time after which this payment cannot be captured
merchant_order_reference_id
string | null
Merchant's identifier for the payment/invoice. This will be sent to the connector
if the connector provides support to accept multiple reference ids.
In case the connector supports only one reference id, Vaultera Switch's Payment ID will be sent as reference.
Maximum string length: 255
Example:
"Custom_Order_id_123"
order_tax_amount
integer<int64> | null
This Unit struct represents MinorUnit in which core amount works
connector_mandate_id
string | null
Connector Identifier for the payment method
card_discovery
enum<string> | null
Indicates the method by which a card is discovered during a payment
Available options:
manual,
saved_card,
click_to_pay
force_3ds_challenge
boolean | null
Indicates if 3ds challenge is forced
force_3ds_challenge_trigger
boolean | null
Indicates if 3ds challenge is triggered
issuer_error_code
string | null
Error code received from the issuer in case of failed payments
issuer_error_message
string | null
Error message received from the issuer in case of failed payments
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Vaultera Switch","colors":{"primary":"#6366f1","light":"#8b5cf6","dark":"#4f46e5"},"logo":{"light":"https://mintcdn.com/vaultera/x20IvR9u7_NHQlSC/logo/light.svg?fit=max\u0026auto=format\u0026n=x20IvR9u7_NHQlSC\u0026q=85\u0026s=af6567a50681ce778aa2ac6aa0f9b400","dark":"https://mintcdn.com/vaultera/x20IvR9u7_NHQlSC/logo/dark.svg?fit=max\u0026auto=format\u0026n=x20IvR9u7_NHQlSC\u0026q=85\u0026s=98047fc8a944a43c19a4c45d6c5e3750","href":"https://vaultera.co"},"favicon":"/favicon.png","api":{"openapi":["openapi_spec.json"],"playground":{"display":"simple"},"mdx":{"auth":{"method":"bearer"},"server":"https://api.test.switch.vaultera.co"}},"background":{"color":{"light":"#ffffff","dark":"#0f172a"}},"navbar":{"links":[{"href":"mailto:switch@vaultera.co","label":"Support"}],"primary":{"type":"button","label":"Dashboard","href":"https://app.test.switch.vaultera.co"}},"footer":{"socials":{"linkedin":"https://www.linkedin.com/company/vaultera"}},"search":{"prompt":"Search VaulteraSwitch documentation..."},"icons":{"library":"lucide"},"styling":{"codeblocks":"system","latex":false},"integrations":{"mixpanel":{"projectToken":"ff278b6dfe03b3da255c0778f9a38b6c"}},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"vaultera","hasAudioNarration":false,"actualSubdomain":"vaultera","customDomains":["docs.switch.vaultera.co"],"gitSource":{"type":"github","owner":"vaultera-co","repo":"switch","deployBranch":"main","contentDirectory":"api-reference","isPrivate":true,"mountPath":"","label":""},"entitlements":{},"buildId":"6ae9288ff5d453616651e0a7:success","clientVersion":"0.0.4143","searchFilterCounts":[{"language":"default","tag":"Explore","count":44},{"language":"default","tag":"Explore Vaultera","count":36},{"language":"default","tag":"API Reference","count":25},{"language":"default","tag":"Core APIs","count":24},{"language":"default","tag":"Payment Orchestration","count":17},{"language":"default","tag":"Accept Payments","count":12},{"language":"default","tag":"Payment Operations","count":11},{"language":"default","tag":"Payments","count":8},{"language":"default","tag":"Integrating checkout","count":8},{"language":"default","tag":"Customers","count":5}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"public/css/custom.css","content":""}],"page":{"pagePath":"api-reference/payments/payments--confirm","slug":"/api-reference/payments/payments--confirm","pageMetadata":{"openapi":"openapi_spec post /payments/{payment_id}/confirm","title":"Payments - Confirm","description":"**Use this API to confirm the payment and forward the payment to the payment processor.**\n\nAlternatively you can confirm the payment within the *Payments/Create* API by setting `confirm=true`. After confirmation, the payment could either:\n\n1. fail with `failed` status or\n\n2. transition to a `requires_customer_action` status with a `next_action` block or\n\n3. succeed with either `succeeded` in case of automatic capture or `requires_capture` in case of manual capture","href":"/api-reference/payments/payments--confirm","hidden":false},"description":{"compiledSource":"\"use strict\";\nconst {Fragment: _Fragment, jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n code: \"code\",\n em: \"em\",\n li: \"li\",\n ol: \"ol\",\n p: \"p\",\n strong: \"strong\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_Fragment, {\n children: [_jsx(_components.p, {\n children: _jsx(_components.strong, {\n children: \"Use this API to confirm the payment and forward the payment to the payment processor.\"\n })\n }), \"\\n\", _jsxs(_components.p, {\n children: [\"Alternatively you can confirm the payment within the \", _jsx(_components.em, {\n children: \"Payments/Create\"\n }), \" API by setting \", _jsx(_components.code, {\n children: \"confirm=true\"\n }), \". After confirmation, the payment could either:\"]\n }), \"\\n\", _jsxs(_components.ol, {\n children: [\"\\n\", _jsxs(_components.li, {\n children: [\"\\n\", _jsxs(_components.p, {\n children: [\"fail with \", _jsx(_components.code, {\n children: \"failed\"\n }), \" status or\"]\n }), \"\\n\"]\n }), \"\\n\", _jsxs(_components.li, {\n children: [\"\\n\", _jsxs(_components.p, {\n children: [\"transition to a \", _jsx(_components.code, {\n children: \"requires_customer_action\"\n }), \" status with a \", _jsx(_components.code, {\n children: \"next_action\"\n }), \" block or\"]\n }), \"\\n\"]\n }), \"\\n\", _jsxs(_components.li, {\n children: [\"\\n\", _jsxs(_components.p, {\n children: [\"succeed with either \", _jsx(_components.code, {\n children: \"succeeded\"\n }), \" in case of automatic capture or \", _jsx(_components.code, {\n children: \"requires_capture\"\n }), \" in case of manual capture\"]\n }), \"\\n\"]\n }), \"\\n\"]\n })]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"codeStyling":"system","config":{},"pageMetadata":{"openapi":"openapi_spec post /payments/{payment_id}/confirm","title":"Payments - Confirm","description":"**Use this API to confirm the payment and forward the payment to the payment processor.**\n\nAlternatively you can confirm the payment within the *Payments/Create* API by setting `confirm=true`. After confirmation, the payment could either:\n\n1. fail with `failed` status or\n\n2. transition to a `requires_customer_action` status with a `next_action` block or\n\n3. succeed with either `succeeded` in case of automatic capture or `requires_capture` in case of manual capture","href":"/api-reference/payments/payments--confirm","hidden":false}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/vaultera/6ce913ae5d413d1a/public/js/custom.js"],"openApiReferenceData":{"operation":{"tags":["Payments"],"summary":"Payments - Confirm","description":"**Use this API to confirm the payment and forward the payment to the payment processor.**\n\nAlternatively you can confirm the payment within the *Payments/Create* API by setting `confirm=true`. After confirmation, the payment could either:\n\n1. fail with `failed` status or\n\n2. transition to a `requires_customer_action` status with a `next_action` block or\n\n3. succeed with either `succeeded` in case of automatic capture or `requires_capture` in case of manual capture","operationId":"Confirm a Payment","parameters":["1f605c6e-07fb-4f86-9fd9-8acd2616492d"],"requestBody":"78b9e9ce-d472-4dcf-b24e-8b7b07cdc75f","responses":{"200":"e88db27c-bd19-4337-915d-1aae03320f54","400":"6bce3d52-25d0-4eee-add1-a083a92bc969"},"security":["e9b121c9-1d33-450f-8c09-96d751da20f7","f8cd5975-ca5a-444b-b18a-00a3ed6513f9"],"method":"post","type":"path","servers":["69f132bc-3288-4c4d-92ba-af3bde544d3f","fd146f12-f272-409a-99b5-23aa5f7a2d09"],"path":"/payments/{payment_id}/confirm","baseUrlOptions":["https://api.test.switch.vaultera.co","https://api.switch.vaultera.co"],"title":"Payments - Confirm","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"1f605c6e-07fb-4f86-9fd9-8acd2616492d":{"name":"payment_id","in":"path","description":"The identifier for payment","required":true,"schema":{"type":"string","isRequired":true,"description":"The identifier for payment","uniqueKey":"","typeLabel":"string"}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"amount":{"oneOf":[{"type":"integer","format":"int64","description":"The payment amount. Amount for the payment in the lowest denomination of the currency, (i.e) in cents for USD denomination, in yen for JPY denomination etc. E.g., Pass 100 to charge $1.00 and 1 for 1¥ since ¥ is a zero-decimal currency. Read more about [the Decimal and Non-Decimal Currencies](https://github.com/juspay/vaultera switch/wiki/Decimal-and-Non%E2%80%90Decimal-Currencies)","example":6540,"minimum":0,"uniqueKey":"amount.oneOf.0","typeLabel":"integer\u003cint64>"},{"type":"null","format":"int64","description":"The payment amount. Amount for the payment in the lowest denomination of the currency, (i.e) in cents for USD denomination, in yen for JPY denomination etc. E.g., Pass 100 to charge $1.00 and 1 for 1¥ since ¥ is a zero-decimal currency. Read more about [the Decimal and Non-Decimal Currencies](https://github.com/juspay/vaultera switch/wiki/Decimal-and-Non%E2%80%90Decimal-Currencies)","example":6540,"minimum":0,"uniqueKey":"amount.oneOf.1","typeLabel":"null"}],"uniqueKey":"amount","typeLabel":"integer\u003cint64> | null"},"order_tax_amount":{"oneOf":[{"type":"integer","format":"int64","description":"Total tax amount applicable to the order","example":6540,"uniqueKey":"order_tax_amount.oneOf.0","typeLabel":"integer\u003cint64>"},{"type":"null","format":"int64","description":"Total tax amount applicable to the order","example":6540,"uniqueKey":"order_tax_amount.oneOf.1","typeLabel":"null"}],"uniqueKey":"order_tax_amount","typeLabel":"integer\u003cint64> | null"},"currency":{"oneOf":[{"type":"string","description":"The three letter ISO currency code in uppercase. Eg: 'USD' for the United States Dollar.","enum":["AED","AFN","ALL","AMD","ANG","AOA","ARS","AUD","AWG","AZN","BAM","BBD","BDT","BGN","BHD","BIF","BMD","BND","BOB","BRL","BSD","BTN","BWP","BYN","BZD","CAD","CDF","CHF","CLF","CLP","CNY","COP","CRC","CUC","CUP","CVE","CZK","DJF","DKK","DOP","DZD","EGP","ERN","ETB","EUR","FJD","FKP","GBP","GEL","GHS","GIP","GMD","GNF","GTQ","GYD","HKD","HNL","HRK","HTG","HUF","IDR","ILS","INR","IQD","IRR","ISK","JMD","JOD","JPY","KES","KGS","KHR","KMF","KPW","KRW","KWD","KYD","KZT","LAK","LBP","LKR","LRD","LSL","LYD","MAD","MDL","MGA","MKD","MMK","MNT","MOP","MRU","MUR","MVR","MWK","MXN","MYR","MZN","NAD","NGN","NIO","NOK","NPR","NZD","OMR","PAB","PEN","PGK","PHP","PKR","PLN","PYG","QAR","RON","RSD","RUB","RWF","SAR","SBD","SCR","SDG","SEK","SGD","SHP","SLE","SLL","SOS","SRD","SSP","STD","STN","SVC","SYP","SZL","THB","TJS","TMT","TND","TOP","TRY","TTD","TWD","TZS","UAH","UGX","USD","UYU","UZS","VES","VND","VUV","WST","XAF","XCD","XOF","XPF","YER","ZAR","ZMW","ZWL"],"uniqueKey":"currency.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","uniqueKey":"currency.oneOf.1","typeLabel":"null"}],"uniqueKey":"currency","typeLabel":"enum\u003cstring> | null"},"amount_to_capture":{"oneOf":[{"type":"integer","format":"int64","description":"The Amount to be captured / debited from the users payment method. It shall be in lowest denomination of the currency. (i.e) in cents for USD denomination, in paisa for INR denomination etc., If not provided, the default amount_to_capture will be the payment amount. Also, it must be less than or equal to the original payment account.","example":6540,"uniqueKey":"amount_to_capture.oneOf.0","typeLabel":"integer\u003cint64>"},{"type":"null","format":"int64","description":"The Amount to be captured / debited from the users payment method. It shall be in lowest denomination of the currency. (i.e) in cents for USD denomination, in paisa for INR denomination etc., If not provided, the default amount_to_capture will be the payment amount. Also, it must be less than or equal to the original payment account.","example":6540,"uniqueKey":"amount_to_capture.oneOf.1","typeLabel":"null"}],"uniqueKey":"amount_to_capture","typeLabel":"integer\u003cint64> | null"},"shipping_cost":{"oneOf":[{"type":"integer","format":"int64","description":"The shipping cost for the payment. This is required for tax calculation in some regions.","example":6540,"uniqueKey":"shipping_cost.oneOf.0","typeLabel":"integer\u003cint64>"},{"type":"null","format":"int64","description":"The shipping cost for the payment. This is required for tax calculation in some regions.","example":6540,"uniqueKey":"shipping_cost.oneOf.1","typeLabel":"null"}],"uniqueKey":"shipping_cost","typeLabel":"integer\u003cint64> | null"},"payment_id":{"oneOf":[{"type":"string","description":"Unique identifier for the payment. This ensures idempotency for multiple payments\nthat have been done by a single merchant. The value for this field can be specified in the request, it will be auto generated otherwise and returned in the API response.","example":"pay_mbabizu24mvu3mela5njyhpit4","maxLength":30,"minLength":30,"uniqueKey":"payment_id.oneOf.0","typeLabel":"string"},{"type":"null","description":"Unique identifier for the payment. This ensures idempotency for multiple payments\nthat have been done by a single merchant. The value for this field can be specified in the request, it will be auto generated otherwise and returned in the API response.","example":"pay_mbabizu24mvu3mela5njyhpit4","maxLength":30,"minLength":30,"uniqueKey":"payment_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_id","typeLabel":"string | null"},"routing":{"oneOf":[{"type":"object","title":"Single","required":["type","data"],"properties":{"type":{"type":"string","enum":["single"],"isRequired":true,"uniqueKey":"routing.oneOf.0.type","typeLabel":"enum\u003cstring>"},"data":{"type":"object","description":"Routable Connector chosen for a payment","required":["connector"],"properties":{"connector":{"type":"string","description":"RoutableConnectors are the subset of Connectors that are eligible for payments routing","enum":["straumur","valitor","teya","adyenplatform","phonypay","fauxpay","pretendpay","stripe_test","adyen_test","checkout_test","paypal_test","aci","adyen","airwallex","authorizedotnet","bankofamerica","billwerk","bitpay","bambora","bamboraapac","bluesnap","boku","braintree","cashtocode","chargebee","checkout","coinbase","coingate","cryptopay","cybersource","datatrans","deutschebank","digitalvirgo","dlocal","ebanx","elavon","fiserv","fiservemea","fiuu","forte","getnet","globalpay","globepay","gocardless","hipay","helcim","iatapay","inespay","itaubank","jpmorgan","klarna","mifinity","mollie","moneris","multisafepay","nexinets","nexixpay","nmi","nomupay","noon","novalnet","nuvei","opennode","paybox","payme","payone","paypal","paystack","payu","placetopay","powertranz","prophetpay","rapyd","razorpay","recurly","redsys","riskified","shift4","signifyd","square","stax","stripe","stripebilling","trustpay","tsys","volt","wellsfargo","wise","worldline","worldpay","xendit","zen","plaid","zsl"],"isRequired":true,"uniqueKey":"routing.oneOf.0.data.connector","typeLabel":"enum\u003cstring>"},"merchant_connector_id":{"oneOf":[{"type":"string","uniqueKey":"routing.oneOf.0.data.merchant_connector_id.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"routing.oneOf.0.data.merchant_connector_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"routing.oneOf.0.data.merchant_connector_id","typeLabel":"string | null"}},"isRequired":true,"uniqueKey":"routing.oneOf.0.data","typeLabel":"object"}},"uniqueKey":"routing.oneOf.0","typeLabel":"Single · object"},{"type":"object","title":"Priority","required":["type","data"],"properties":{"type":{"type":"string","enum":["priority"],"isRequired":true,"uniqueKey":"routing.oneOf.1.type","typeLabel":"enum\u003cstring>"},"data":{"type":"array","items":{"type":"object","description":"Routable Connector chosen for a payment","required":["connector"],"properties":{"connector":{"type":"string","description":"RoutableConnectors are the subset of Connectors that are eligible for payments routing","enum":["straumur","valitor","teya","adyenplatform","phonypay","fauxpay","pretendpay","stripe_test","adyen_test","checkout_test","paypal_test","aci","adyen","airwallex","authorizedotnet","bankofamerica","billwerk","bitpay","bambora","bamboraapac","bluesnap","boku","braintree","cashtocode","chargebee","checkout","coinbase","coingate","cryptopay","cybersource","datatrans","deutschebank","digitalvirgo","dlocal","ebanx","elavon","fiserv","fiservemea","fiuu","forte","getnet","globalpay","globepay","gocardless","hipay","helcim","iatapay","inespay","itaubank","jpmorgan","klarna","mifinity","mollie","moneris","multisafepay","nexinets","nexixpay","nmi","nomupay","noon","novalnet","nuvei","opennode","paybox","payme","payone","paypal","paystack","payu","placetopay","powertranz","prophetpay","rapyd","razorpay","recurly","redsys","riskified","shift4","signifyd","square","stax","stripe","stripebilling","trustpay","tsys","volt","wellsfargo","wise","worldline","worldpay","xendit","zen","plaid","zsl"],"isRequired":true,"uniqueKey":"routing.oneOf.1.data.items.[INDEX].connector","typeLabel":"enum\u003cstring>"},"merchant_connector_id":{"oneOf":[{"type":"string","uniqueKey":"routing.oneOf.1.data.items.[INDEX].merchant_connector_id.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"routing.oneOf.1.data.items.[INDEX].merchant_connector_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"routing.oneOf.1.data.items.[INDEX].merchant_connector_id","typeLabel":"string | null"}},"uniqueKey":"routing.oneOf.1.data.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"routing.oneOf.1.data","typeLabel":"object[]"}},"uniqueKey":"routing.oneOf.1","typeLabel":"Priority · object"},{"type":"object","title":"VolumeSplit","required":["type","data"],"properties":{"type":{"type":"string","enum":["volume_split"],"isRequired":true,"uniqueKey":"routing.oneOf.2.type","typeLabel":"enum\u003cstring>"},"data":{"type":"array","items":{"type":"object","required":["connector","split"],"properties":{"connector":{"type":"object","description":"Routable Connector chosen for a payment","required":["connector"],"properties":{"connector":{"type":"string","description":"RoutableConnectors are the subset of Connectors that are eligible for payments routing","enum":["straumur","valitor","teya","adyenplatform","phonypay","fauxpay","pretendpay","stripe_test","adyen_test","checkout_test","paypal_test","aci","adyen","airwallex","authorizedotnet","bankofamerica","billwerk","bitpay","bambora","bamboraapac","bluesnap","boku","braintree","cashtocode","chargebee","checkout","coinbase","coingate","cryptopay","cybersource","datatrans","deutschebank","digitalvirgo","dlocal","ebanx","elavon","fiserv","fiservemea","fiuu","forte","getnet","globalpay","globepay","gocardless","hipay","helcim","iatapay","inespay","itaubank","jpmorgan","klarna","mifinity","mollie","moneris","multisafepay","nexinets","nexixpay","nmi","nomupay","noon","novalnet","nuvei","opennode","paybox","payme","payone","paypal","paystack","payu","placetopay","powertranz","prophetpay","rapyd","razorpay","recurly","redsys","riskified","shift4","signifyd","square","stax","stripe","stripebilling","trustpay","tsys","volt","wellsfargo","wise","worldline","worldpay","xendit","zen","plaid","zsl"],"isRequired":true,"uniqueKey":"routing.oneOf.2.data.items.[INDEX].connector.connector","typeLabel":"enum\u003cstring>"},"merchant_connector_id":{"oneOf":[{"type":"string","uniqueKey":"routing.oneOf.2.data.items.[INDEX].connector.merchant_connector_id.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"routing.oneOf.2.data.items.[INDEX].connector.merchant_connector_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"routing.oneOf.2.data.items.[INDEX].connector.merchant_connector_id","typeLabel":"string | null"}},"isRequired":true,"uniqueKey":"routing.oneOf.2.data.items.[INDEX].connector","typeLabel":"object"},"split":{"type":"integer","format":"int32","minimum":0,"isRequired":true,"uniqueKey":"routing.oneOf.2.data.items.[INDEX].split","typeLabel":"integer\u003cint32>"}},"uniqueKey":"routing.oneOf.2.data.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"routing.oneOf.2.data","typeLabel":"object[]"}},"uniqueKey":"routing.oneOf.2","typeLabel":"VolumeSplit · object"},{"type":"null","uniqueKey":"routing.oneOf.3","typeLabel":"null"}],"uniqueKey":"routing","typeLabel":"Single · object | Priority · object | VolumeSplit · object | null"},"connector":{"oneOf":[{"type":"array","items":{"type":"string","enum":["straumur","valitor","teya","adyenplatform","phonypay","fauxpay","pretendpay","stripe_test","adyen_test","checkout_test","paypal_test","aci","adyen","airwallex","authorizedotnet","bambora","bamboraapac","bankofamerica","billwerk","bitpay","bluesnap","boku","braintree","cashtocode","chargebee","checkout","coinbase","coingate","cryptopay","ctp_mastercard","ctp_visa","cybersource","datatrans","deutschebank","digitalvirgo","dlocal","ebanx","elavon","fiserv","fiservemea","fiuu","forte","getnet","globalpay","globepay","gocardless","gpayments","hipay","helcim","inespay","iatapay","itaubank","jpmorgan","juspaythreedsserver","klarna","mifinity","mollie","moneris","multisafepay","netcetera","nexinets","nexixpay","nmi","nomupay","noon","novalnet","nuvei","opennode","paybox","payme","payone","paypal","paystack","payu","placetopay","powertranz","prophetpay","rapyd","razorpay","recurly","redsys","shift4","square","stax","stripe","stripebilling","taxjar","threedsecureio","trustpay","tsys","volt","wellsfargo","wise","worldline","worldpay","signifyd","plaid","riskified","xendit","zen","zsl"],"uniqueKey":"connector.oneOf.0.items.[INDEX]","typeLabel":"enum\u003cstring>"},"description":"This allows to manually select a connector with which the payment can go through.","example":["stripe","adyen"],"uniqueKey":"connector.oneOf.0","typeLabel":"enum\u003cstring>[]"},{"type":"null","items":{"type":"string","enum":["straumur","valitor","teya","adyenplatform","phonypay","fauxpay","pretendpay","stripe_test","adyen_test","checkout_test","paypal_test","aci","adyen","airwallex","authorizedotnet","bambora","bamboraapac","bankofamerica","billwerk","bitpay","bluesnap","boku","braintree","cashtocode","chargebee","checkout","coinbase","coingate","cryptopay","ctp_mastercard","ctp_visa","cybersource","datatrans","deutschebank","digitalvirgo","dlocal","ebanx","elavon","fiserv","fiservemea","fiuu","forte","getnet","globalpay","globepay","gocardless","gpayments","hipay","helcim","inespay","iatapay","itaubank","jpmorgan","juspaythreedsserver","klarna","mifinity","mollie","moneris","multisafepay","netcetera","nexinets","nexixpay","nmi","nomupay","noon","novalnet","nuvei","opennode","paybox","payme","payone","paypal","paystack","payu","placetopay","powertranz","prophetpay","rapyd","razorpay","recurly","redsys","shift4","square","stax","stripe","stripebilling","taxjar","threedsecureio","trustpay","tsys","volt","wellsfargo","wise","worldline","worldpay","signifyd","plaid","riskified","xendit","zen","zsl"]},"description":"This allows to manually select a connector with which the payment can go through.","example":["stripe","adyen"],"uniqueKey":"connector.oneOf.1","typeLabel":"null"}],"uniqueKey":"connector","typeLabel":"enum\u003cstring>[] | null"},"capture_method":{"oneOf":[{"type":"string","description":"Default value if not passed is set to 'automatic' which results in Auth and Capture in one single API request. Pass 'manual' or 'manual_multiple' in case you want do a separate Auth and Capture by first authorizing and placing a hold on your customer's funds so that you can use the Payments/Capture endpoint later to capture the authorized amount. Pass 'manual' if you want to only capture the amount later once or 'manual_multiple' if you want to capture the funds multiple times later. Both 'manual' and 'manual_multiple' are only supported by a specific list of processors","enum":["automatic","manual","manual_multiple","scheduled","sequential_automatic"],"uniqueKey":"capture_method.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","uniqueKey":"capture_method.oneOf.1","typeLabel":"null"}],"uniqueKey":"capture_method","typeLabel":"enum\u003cstring> | null"},"authentication_type":{"oneOf":[{"type":"string","description":"Pass this parameter to force 3DS or non 3DS auth for this payment. Some connectors will still force 3DS auth even in case of passing 'no_three_ds' here and vice versa. Default value is 'no_three_ds' if not set","default":"three_ds","enum":["three_ds","no_three_ds"],"uniqueKey":"authentication_type.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","uniqueKey":"authentication_type.oneOf.1","typeLabel":"null"}],"uniqueKey":"authentication_type","typeLabel":"enum\u003cstring> | null"},"billing":{"oneOf":[{"type":"object","properties":{"address":{"oneOf":[{"type":"object","description":"Address details","properties":{"city":{"oneOf":[{"type":"string","description":"The address city","example":"New York","maxLength":50,"uniqueKey":"billing.oneOf.0.address.oneOf.0.city.oneOf.0","typeLabel":"string"},{"type":"null","description":"The address city","example":"New York","maxLength":50,"uniqueKey":"billing.oneOf.0.address.oneOf.0.city.oneOf.1","typeLabel":"null"}],"uniqueKey":"billing.oneOf.0.address.oneOf.0.city","typeLabel":"string | null"},"country":{"oneOf":[{"type":"string","enum":["AF","AX","AL","DZ","AS","AD","AO","AI","AQ","AG","AR","AM","AW","AU","AT","AZ","BS","BH","BD","BB","BY","BE","BZ","BJ","BM","BT","BO","BQ","BA","BW","BV","BR","IO","BN","BG","BF","BI","KH","CM","CA","CV","KY","CF","TD","CL","CN","CX","CC","CO","KM","CG","CD","CK","CR","CI","HR","CU","CW","CY","CZ","DK","DJ","DM","DO","EC","EG","SV","GQ","ER","EE","ET","FK","FO","FJ","FI","FR","GF","PF","TF","GA","GM","GE","DE","GH","GI","GR","GL","GD","GP","GU","GT","GG","GN","GW","GY","HT","HM","VA","HN","HK","HU","IS","IN","ID","IR","IQ","IE","IM","IL","IT","JM","JP","JE","JO","KZ","KE","KI","KP","KR","KW","KG","LA","LV","LB","LS","LR","LY","LI","LT","LU","MO","MK","MG","MW","MY","MV","ML","MT","MH","MQ","MR","MU","YT","MX","FM","MD","MC","MN","ME","MS","MA","MZ","MM","NA","NR","NP","NL","NC","NZ","NI","NE","NG","NU","NF","MP","NO","OM","PK","PW","PS","PA","PG","PY","PE","PH","PN","PL","PT","PR","QA","RE","RO","RU","RW","BL","SH","KN","LC","MF","PM","VC","WS","SM","ST","SA","SN","RS","SC","SL","SG","SX","SK","SI","SB","SO","ZA","GS","SS","ES","LK","SD","SR","SJ","SZ","SE","CH","SY","TW","TJ","TZ","TH","TL","TG","TK","TO","TT","TN","TR","TM","TC","TV","UG","UA","AE","GB","UM","UY","UZ","VU","VE","VN","VG","VI","WF","EH","YE","ZM","ZW","US"],"uniqueKey":"billing.oneOf.0.address.oneOf.0.country.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","uniqueKey":"billing.oneOf.0.address.oneOf.0.country.oneOf.1","typeLabel":"null"}],"uniqueKey":"billing.oneOf.0.address.oneOf.0.country","typeLabel":"enum\u003cstring> | null"},"line1":{"oneOf":[{"type":"string","description":"The first line of the address","example":"123, King Street","maxLength":200,"uniqueKey":"billing.oneOf.0.address.oneOf.0.line1.oneOf.0","typeLabel":"string"},{"type":"null","description":"The first line of the address","example":"123, King Street","maxLength":200,"uniqueKey":"billing.oneOf.0.address.oneOf.0.line1.oneOf.1","typeLabel":"null"}],"uniqueKey":"billing.oneOf.0.address.oneOf.0.line1","typeLabel":"string | null"},"line2":{"oneOf":[{"type":"string","description":"The second line of the address","example":"Powelson Avenue","maxLength":50,"uniqueKey":"billing.oneOf.0.address.oneOf.0.line2.oneOf.0","typeLabel":"string"},{"type":"null","description":"The second line of the address","example":"Powelson Avenue","maxLength":50,"uniqueKey":"billing.oneOf.0.address.oneOf.0.line2.oneOf.1","typeLabel":"null"}],"uniqueKey":"billing.oneOf.0.address.oneOf.0.line2","typeLabel":"string | null"},"line3":{"oneOf":[{"type":"string","description":"The third line of the address","example":"Bridgewater","maxLength":50,"uniqueKey":"billing.oneOf.0.address.oneOf.0.line3.oneOf.0","typeLabel":"string"},{"type":"null","description":"The third line of the address","example":"Bridgewater","maxLength":50,"uniqueKey":"billing.oneOf.0.address.oneOf.0.line3.oneOf.1","typeLabel":"null"}],"uniqueKey":"billing.oneOf.0.address.oneOf.0.line3","typeLabel":"string | null"},"zip":{"oneOf":[{"type":"string","description":"The zip/postal code for the address","example":"08807","maxLength":50,"uniqueKey":"billing.oneOf.0.address.oneOf.0.zip.oneOf.0","typeLabel":"string"},{"type":"null","description":"The zip/postal code for the address","example":"08807","maxLength":50,"uniqueKey":"billing.oneOf.0.address.oneOf.0.zip.oneOf.1","typeLabel":"null"}],"uniqueKey":"billing.oneOf.0.address.oneOf.0.zip","typeLabel":"string | null"},"state":{"oneOf":[{"type":"string","description":"The address state","example":"New York","uniqueKey":"billing.oneOf.0.address.oneOf.0.state.oneOf.0","typeLabel":"string"},{"type":"null","description":"The address state","example":"New York","uniqueKey":"billing.oneOf.0.address.oneOf.0.state.oneOf.1","typeLabel":"null"}],"uniqueKey":"billing.oneOf.0.address.oneOf.0.state","typeLabel":"string | null"},"first_name":{"oneOf":[{"type":"string","description":"The first name for the address","example":"John","maxLength":255,"uniqueKey":"billing.oneOf.0.address.oneOf.0.first_name.oneOf.0","typeLabel":"string"},{"type":"null","description":"The first name for the address","example":"John","maxLength":255,"uniqueKey":"billing.oneOf.0.address.oneOf.0.first_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"billing.oneOf.0.address.oneOf.0.first_name","typeLabel":"string | null"},"last_name":{"oneOf":[{"type":"string","description":"The last name for the address","example":"Doe","maxLength":255,"uniqueKey":"billing.oneOf.0.address.oneOf.0.last_name.oneOf.0","typeLabel":"string"},{"type":"null","description":"The last name for the address","example":"Doe","maxLength":255,"uniqueKey":"billing.oneOf.0.address.oneOf.0.last_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"billing.oneOf.0.address.oneOf.0.last_name","typeLabel":"string | null"}},"additionalProperties":false,"uniqueKey":"billing.oneOf.0.address.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"billing.oneOf.0.address.oneOf.1","typeLabel":"null"}],"uniqueKey":"billing.oneOf.0.address","typeLabel":"object | null"},"phone":{"oneOf":[{"type":"object","properties":{"number":{"oneOf":[{"type":"string","description":"The contact number","example":"9123456789","uniqueKey":"billing.oneOf.0.phone.oneOf.0.number.oneOf.0","typeLabel":"string"},{"type":"null","description":"The contact number","example":"9123456789","uniqueKey":"billing.oneOf.0.phone.oneOf.0.number.oneOf.1","typeLabel":"null"}],"uniqueKey":"billing.oneOf.0.phone.oneOf.0.number","typeLabel":"string | null"},"country_code":{"oneOf":[{"type":"string","description":"The country code attached to the number","example":"+1","uniqueKey":"billing.oneOf.0.phone.oneOf.0.country_code.oneOf.0","typeLabel":"string"},{"type":"null","description":"The country code attached to the number","example":"+1","uniqueKey":"billing.oneOf.0.phone.oneOf.0.country_code.oneOf.1","typeLabel":"null"}],"uniqueKey":"billing.oneOf.0.phone.oneOf.0.country_code","typeLabel":"string | null"}},"uniqueKey":"billing.oneOf.0.phone.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"billing.oneOf.0.phone.oneOf.1","typeLabel":"null"}],"uniqueKey":"billing.oneOf.0.phone","typeLabel":"object | null"},"email":{"oneOf":[{"type":"string","uniqueKey":"billing.oneOf.0.email.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"billing.oneOf.0.email.oneOf.1","typeLabel":"null"}],"uniqueKey":"billing.oneOf.0.email","typeLabel":"string | null"}},"additionalProperties":false,"uniqueKey":"billing.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"billing.oneOf.1","typeLabel":"null"}],"uniqueKey":"billing","typeLabel":"object | null"},"confirm":{"oneOf":[{"type":"boolean","description":"Whether to confirm the payment (if applicable). It can be used to completely process a payment by attaching a payment method, setting `confirm=true` and `capture_method = automatic` in the *Payments/Create API* request itself.","default":false,"example":true,"uniqueKey":"confirm.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Whether to confirm the payment (if applicable). It can be used to completely process a payment by attaching a payment method, setting `confirm=true` and `capture_method = automatic` in the *Payments/Create API* request itself.","default":false,"example":true,"uniqueKey":"confirm.oneOf.1","typeLabel":"null"}],"uniqueKey":"confirm","typeLabel":"boolean | null"},"customer":{"oneOf":[{"type":"object","description":"Passing this object creates a new customer or attaches an existing customer to the payment","required":["id"],"properties":{"id":{"type":"string","description":"The identifier for the customer.","example":"cus_y3oqhf46pyzuxjbcn2giaqnb44","maxLength":64,"minLength":1,"isRequired":true,"uniqueKey":"customer.oneOf.0.id","typeLabel":"string"},"name":{"oneOf":[{"type":"string","description":"The customer's name","example":"John Doe","maxLength":255,"uniqueKey":"customer.oneOf.0.name.oneOf.0","typeLabel":"string"},{"type":"null","description":"The customer's name","example":"John Doe","maxLength":255,"uniqueKey":"customer.oneOf.0.name.oneOf.1","typeLabel":"null"}],"uniqueKey":"customer.oneOf.0.name","typeLabel":"string | null"},"email":{"oneOf":[{"type":"string","description":"The customer's email address","example":"johntest@test.com","maxLength":255,"uniqueKey":"customer.oneOf.0.email.oneOf.0","typeLabel":"string"},{"type":"null","description":"The customer's email address","example":"johntest@test.com","maxLength":255,"uniqueKey":"customer.oneOf.0.email.oneOf.1","typeLabel":"null"}],"uniqueKey":"customer.oneOf.0.email","typeLabel":"string | null"},"phone":{"oneOf":[{"type":"string","description":"The customer's phone number","example":"9123456789","maxLength":10,"uniqueKey":"customer.oneOf.0.phone.oneOf.0","typeLabel":"string"},{"type":"null","description":"The customer's phone number","example":"9123456789","maxLength":10,"uniqueKey":"customer.oneOf.0.phone.oneOf.1","typeLabel":"null"}],"uniqueKey":"customer.oneOf.0.phone","typeLabel":"string | null"},"phone_country_code":{"oneOf":[{"type":"string","description":"The country code for the customer's phone number","example":"+1","maxLength":2,"uniqueKey":"customer.oneOf.0.phone_country_code.oneOf.0","typeLabel":"string"},{"type":"null","description":"The country code for the customer's phone number","example":"+1","maxLength":2,"uniqueKey":"customer.oneOf.0.phone_country_code.oneOf.1","typeLabel":"null"}],"uniqueKey":"customer.oneOf.0.phone_country_code","typeLabel":"string | null"}},"uniqueKey":"customer.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"customer.oneOf.1","typeLabel":"null"}],"uniqueKey":"customer","typeLabel":"object | null"},"customer_id":{"oneOf":[{"type":"string","description":"The identifier for the customer","example":"cus_y3oqhf46pyzuxjbcn2giaqnb44","maxLength":64,"minLength":1,"uniqueKey":"customer_id.oneOf.0","typeLabel":"string"},{"type":"null","description":"The identifier for the customer","example":"cus_y3oqhf46pyzuxjbcn2giaqnb44","maxLength":64,"minLength":1,"uniqueKey":"customer_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"customer_id","typeLabel":"string | null"},"off_session":{"oneOf":[{"type":"boolean","description":"Set to true to indicate that the customer is not in your checkout flow during this payment, and therefore is unable to authenticate. This parameter is intended for scenarios where you collect card details and charge them later. When making a recurring payment by passing a mandate_id, this parameter is mandatory","example":true,"uniqueKey":"off_session.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Set to true to indicate that the customer is not in your checkout flow during this payment, and therefore is unable to authenticate. This parameter is intended for scenarios where you collect card details and charge them later. When making a recurring payment by passing a mandate_id, this parameter is mandatory","example":true,"uniqueKey":"off_session.oneOf.1","typeLabel":"null"}],"uniqueKey":"off_session","typeLabel":"boolean | null"},"description":{"oneOf":[{"type":"string","description":"A description for the payment","example":"It's my first payment request","uniqueKey":"description.oneOf.0","typeLabel":"string"},{"type":"null","description":"A description for the payment","example":"It's my first payment request","uniqueKey":"description.oneOf.1","typeLabel":"null"}],"uniqueKey":"description","typeLabel":"string | null"},"return_url":{"oneOf":[{"type":"string","description":"The URL to which you want the user to be redirected after the completion of the payment operation","example":"https://vaultera.co","uniqueKey":"return_url.oneOf.0","typeLabel":"string"},{"type":"null","description":"The URL to which you want the user to be redirected after the completion of the payment operation","example":"https://vaultera.co","uniqueKey":"return_url.oneOf.1","typeLabel":"null"}],"uniqueKey":"return_url","typeLabel":"string | null"},"setup_future_usage":{"oneOf":[{"type":"string","description":"Indicates that you intend to make future payments with the payment methods used for this Payment. Providing this parameter will attach the payment method to the Customer, if present, after the Payment is confirmed and any required actions from the user are complete.\n- On_session - Payment method saved only at Vaultera Switch when consent is provided by the user. CVV will asked during the returning user payment\n- Off_session - Payment method saved at both Vaultera Switch and Processor when consent is provided by the user. No input is required during the returning user payment.","enum":["off_session","on_session"],"uniqueKey":"setup_future_usage.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","uniqueKey":"setup_future_usage.oneOf.1","typeLabel":"null"}],"uniqueKey":"setup_future_usage","typeLabel":"enum\u003cstring> | null"},"payment_method_data":{"oneOf":[{"type":"object","title":"Card","description":"The payment method information provided for making a payment","required":["card"],"properties":{"card":{"type":"object","required":["card_number","card_exp_month","card_exp_year","card_holder_name","card_cvc"],"properties":{"card_number":{"type":"string","description":"The card number","example":"4242424242424242","isRequired":true,"uniqueKey":"payment_method_data.oneOf.0.card.card_number","typeLabel":"string"},"card_exp_month":{"type":"string","description":"The card's expiry month","example":"24","isRequired":true,"uniqueKey":"payment_method_data.oneOf.0.card.card_exp_month","typeLabel":"string"},"card_exp_year":{"type":"string","description":"The card's expiry year","example":"24","isRequired":true,"uniqueKey":"payment_method_data.oneOf.0.card.card_exp_year","typeLabel":"string"},"card_holder_name":{"type":"string","description":"The card holder's name","example":"John Test","isRequired":true,"uniqueKey":"payment_method_data.oneOf.0.card.card_holder_name","typeLabel":"string"},"card_cvc":{"type":"string","description":"The CVC number for the card","example":"242","isRequired":true,"uniqueKey":"payment_method_data.oneOf.0.card.card_cvc","typeLabel":"string"},"card_issuer":{"oneOf":[{"type":"string","description":"The name of the issuer of card","example":"chase","uniqueKey":"payment_method_data.oneOf.0.card.card_issuer.oneOf.0","typeLabel":"string"},{"type":"null","description":"The name of the issuer of card","example":"chase","uniqueKey":"payment_method_data.oneOf.0.card.card_issuer.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.0.card.card_issuer","typeLabel":"string | null"},"card_network":{"oneOf":[{"type":"string","description":"Indicates the card network.","enum":["Visa","Mastercard","AmericanExpress","JCB","DinersClub","Discover","CartesBancaires","UnionPay","Interac","RuPay","Maestro"],"uniqueKey":"payment_method_data.oneOf.0.card.card_network.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","uniqueKey":"payment_method_data.oneOf.0.card.card_network.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.0.card.card_network","typeLabel":"enum\u003cstring> | null"},"card_type":{"oneOf":[{"type":"string","example":"CREDIT","uniqueKey":"payment_method_data.oneOf.0.card.card_type.oneOf.0","typeLabel":"string"},{"type":"null","example":"CREDIT","uniqueKey":"payment_method_data.oneOf.0.card.card_type.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.0.card.card_type","typeLabel":"string | null"},"card_issuing_country":{"oneOf":[{"type":"string","example":"INDIA","uniqueKey":"payment_method_data.oneOf.0.card.card_issuing_country.oneOf.0","typeLabel":"string"},{"type":"null","example":"INDIA","uniqueKey":"payment_method_data.oneOf.0.card.card_issuing_country.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.0.card.card_issuing_country","typeLabel":"string | null"},"bank_code":{"oneOf":[{"type":"string","example":"JP_AMEX","uniqueKey":"payment_method_data.oneOf.0.card.bank_code.oneOf.0","typeLabel":"string"},{"type":"null","example":"JP_AMEX","uniqueKey":"payment_method_data.oneOf.0.card.bank_code.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.0.card.bank_code","typeLabel":"string | null"},"nick_name":{"oneOf":[{"type":"string","description":"The card holder's nick name","example":"John Test","uniqueKey":"payment_method_data.oneOf.0.card.nick_name.oneOf.0","typeLabel":"string"},{"type":"null","description":"The card holder's nick name","example":"John Test","uniqueKey":"payment_method_data.oneOf.0.card.nick_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.0.card.nick_name","typeLabel":"string | null"}},"isRequired":true,"uniqueKey":"payment_method_data.oneOf.0.card","typeLabel":"object"},"billing":{"oneOf":[{"type":"object","properties":{"address":{"oneOf":[{"type":"object","description":"Address details","properties":{"city":{"oneOf":[{"type":"string","description":"The address city","example":"New York","maxLength":50,"uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.address.oneOf.0.city.oneOf.0","typeLabel":"string"},{"type":"null","description":"The address city","example":"New York","maxLength":50,"uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.address.oneOf.0.city.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.address.oneOf.0.city","typeLabel":"string | null"},"country":{"oneOf":[{"type":"string","enum":["AF","AX","AL","DZ","AS","AD","AO","AI","AQ","AG","AR","AM","AW","AU","AT","AZ","BS","BH","BD","BB","BY","BE","BZ","BJ","BM","BT","BO","BQ","BA","BW","BV","BR","IO","BN","BG","BF","BI","KH","CM","CA","CV","KY","CF","TD","CL","CN","CX","CC","CO","KM","CG","CD","CK","CR","CI","HR","CU","CW","CY","CZ","DK","DJ","DM","DO","EC","EG","SV","GQ","ER","EE","ET","FK","FO","FJ","FI","FR","GF","PF","TF","GA","GM","GE","DE","GH","GI","GR","GL","GD","GP","GU","GT","GG","GN","GW","GY","HT","HM","VA","HN","HK","HU","IS","IN","ID","IR","IQ","IE","IM","IL","IT","JM","JP","JE","JO","KZ","KE","KI","KP","KR","KW","KG","LA","LV","LB","LS","LR","LY","LI","LT","LU","MO","MK","MG","MW","MY","MV","ML","MT","MH","MQ","MR","MU","YT","MX","FM","MD","MC","MN","ME","MS","MA","MZ","MM","NA","NR","NP","NL","NC","NZ","NI","NE","NG","NU","NF","MP","NO","OM","PK","PW","PS","PA","PG","PY","PE","PH","PN","PL","PT","PR","QA","RE","RO","RU","RW","BL","SH","KN","LC","MF","PM","VC","WS","SM","ST","SA","SN","RS","SC","SL","SG","SX","SK","SI","SB","SO","ZA","GS","SS","ES","LK","SD","SR","SJ","SZ","SE","CH","SY","TW","TJ","TZ","TH","TL","TG","TK","TO","TT","TN","TR","TM","TC","TV","UG","UA","AE","GB","UM","UY","UZ","VU","VE","VN","VG","VI","WF","EH","YE","ZM","ZW","US"],"uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.address.oneOf.0.country.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.address.oneOf.0.country.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.address.oneOf.0.country","typeLabel":"enum\u003cstring> | null"},"line1":{"oneOf":[{"type":"string","description":"The first line of the address","example":"123, King Street","maxLength":200,"uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.address.oneOf.0.line1.oneOf.0","typeLabel":"string"},{"type":"null","description":"The first line of the address","example":"123, King Street","maxLength":200,"uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.address.oneOf.0.line1.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.address.oneOf.0.line1","typeLabel":"string | null"},"line2":{"oneOf":[{"type":"string","description":"The second line of the address","example":"Powelson Avenue","maxLength":50,"uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.address.oneOf.0.line2.oneOf.0","typeLabel":"string"},{"type":"null","description":"The second line of the address","example":"Powelson Avenue","maxLength":50,"uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.address.oneOf.0.line2.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.address.oneOf.0.line2","typeLabel":"string | null"},"line3":{"oneOf":[{"type":"string","description":"The third line of the address","example":"Bridgewater","maxLength":50,"uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.address.oneOf.0.line3.oneOf.0","typeLabel":"string"},{"type":"null","description":"The third line of the address","example":"Bridgewater","maxLength":50,"uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.address.oneOf.0.line3.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.address.oneOf.0.line3","typeLabel":"string | null"},"zip":{"oneOf":[{"type":"string","description":"The zip/postal code for the address","example":"08807","maxLength":50,"uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.address.oneOf.0.zip.oneOf.0","typeLabel":"string"},{"type":"null","description":"The zip/postal code for the address","example":"08807","maxLength":50,"uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.address.oneOf.0.zip.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.address.oneOf.0.zip","typeLabel":"string | null"},"state":{"oneOf":[{"type":"string","description":"The address state","example":"New York","uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.address.oneOf.0.state.oneOf.0","typeLabel":"string"},{"type":"null","description":"The address state","example":"New York","uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.address.oneOf.0.state.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.address.oneOf.0.state","typeLabel":"string | null"},"first_name":{"oneOf":[{"type":"string","description":"The first name for the address","example":"John","maxLength":255,"uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.address.oneOf.0.first_name.oneOf.0","typeLabel":"string"},{"type":"null","description":"The first name for the address","example":"John","maxLength":255,"uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.address.oneOf.0.first_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.address.oneOf.0.first_name","typeLabel":"string | null"},"last_name":{"oneOf":[{"type":"string","description":"The last name for the address","example":"Doe","maxLength":255,"uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.address.oneOf.0.last_name.oneOf.0","typeLabel":"string"},{"type":"null","description":"The last name for the address","example":"Doe","maxLength":255,"uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.address.oneOf.0.last_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.address.oneOf.0.last_name","typeLabel":"string | null"}},"additionalProperties":false,"uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.address.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.address.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.address","typeLabel":"object | null"},"phone":{"oneOf":[{"type":"object","properties":{"number":{"oneOf":[{"type":"string","description":"The contact number","example":"9123456789","uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.phone.oneOf.0.number.oneOf.0","typeLabel":"string"},{"type":"null","description":"The contact number","example":"9123456789","uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.phone.oneOf.0.number.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.phone.oneOf.0.number","typeLabel":"string | null"},"country_code":{"oneOf":[{"type":"string","description":"The country code attached to the number","example":"+1","uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.phone.oneOf.0.country_code.oneOf.0","typeLabel":"string"},{"type":"null","description":"The country code attached to the number","example":"+1","uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.phone.oneOf.0.country_code.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.phone.oneOf.0.country_code","typeLabel":"string | null"}},"uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.phone.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.phone.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.phone","typeLabel":"object | null"},"email":{"oneOf":[{"type":"string","uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.email.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.email.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0.email","typeLabel":"string | null"}},"additionalProperties":false,"uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"payment_method_data.oneOf.0.billing.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.0.billing","typeLabel":"object | null"}},"uniqueKey":"payment_method_data.oneOf.0","typeLabel":"Card · object"},{"type":"object","title":"CardRedirect","description":"The payment method information provided for making a payment","required":["card_redirect"],"properties":{"card_redirect":{"oneOf":[{"type":"object","required":["knet"],"properties":{"knet":{"type":"object","isRequired":true,"uniqueKey":"payment_method_data.oneOf.1.card_redirect.oneOf.0.knet","typeLabel":"object"}},"isRequired":true,"uniqueKey":"payment_method_data.oneOf.1.card_redirect.oneOf.0","typeLabel":"object"},{"type":"object","required":["benefit"],"properties":{"benefit":{"type":"object","isRequired":true,"uniqueKey":"payment_method_data.oneOf.1.card_redirect.oneOf.1.benefit","typeLabel":"object"}},"isRequired":true,"uniqueKey":"payment_method_data.oneOf.1.card_redirect.oneOf.1","typeLabel":"object"},{"type":"object","required":["momo_atm"],"properties":{"momo_atm":{"type":"object","isRequired":true,"uniqueKey":"payment_method_data.oneOf.1.card_redirect.oneOf.2.momo_atm","typeLabel":"object"}},"isRequired":true,"uniqueKey":"payment_method_data.oneOf.1.card_redirect.oneOf.2","typeLabel":"object"},{"type":"object","required":["card_redirect"],"properties":{"card_redirect":{"type":"object","isRequired":true,"uniqueKey":"payment_method_data.oneOf.1.card_redirect.oneOf.3.card_redirect","typeLabel":"object"}},"isRequired":true,"uniqueKey":"payment_method_data.oneOf.1.card_redirect.oneOf.3","typeLabel":"object"}],"isRequired":true,"uniqueKey":"payment_method_data.oneOf.1.card_redirect","typeLabel":"object"},"billing":{"oneOf":[{"type":"object","properties":{"address":{"oneOf":[{"type":"object","description":"Address details","properties":{"city":{"oneOf":[{"type":"string","description":"The address city","example":"New York","maxLength":50,"uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.address.oneOf.0.city.oneOf.0","typeLabel":"string"},{"type":"null","description":"The address city","example":"New York","maxLength":50,"uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.address.oneOf.0.city.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.address.oneOf.0.city","typeLabel":"string | null"},"country":{"oneOf":[{"type":"string","enum":["AF","AX","AL","DZ","AS","AD","AO","AI","AQ","AG","AR","AM","AW","AU","AT","AZ","BS","BH","BD","BB","BY","BE","BZ","BJ","BM","BT","BO","BQ","BA","BW","BV","BR","IO","BN","BG","BF","BI","KH","CM","CA","CV","KY","CF","TD","CL","CN","CX","CC","CO","KM","CG","CD","CK","CR","CI","HR","CU","CW","CY","CZ","DK","DJ","DM","DO","EC","EG","SV","GQ","ER","EE","ET","FK","FO","FJ","FI","FR","GF","PF","TF","GA","GM","GE","DE","GH","GI","GR","GL","GD","GP","GU","GT","GG","GN","GW","GY","HT","HM","VA","HN","HK","HU","IS","IN","ID","IR","IQ","IE","IM","IL","IT","JM","JP","JE","JO","KZ","KE","KI","KP","KR","KW","KG","LA","LV","LB","LS","LR","LY","LI","LT","LU","MO","MK","MG","MW","MY","MV","ML","MT","MH","MQ","MR","MU","YT","MX","FM","MD","MC","MN","ME","MS","MA","MZ","MM","NA","NR","NP","NL","NC","NZ","NI","NE","NG","NU","NF","MP","NO","OM","PK","PW","PS","PA","PG","PY","PE","PH","PN","PL","PT","PR","QA","RE","RO","RU","RW","BL","SH","KN","LC","MF","PM","VC","WS","SM","ST","SA","SN","RS","SC","SL","SG","SX","SK","SI","SB","SO","ZA","GS","SS","ES","LK","SD","SR","SJ","SZ","SE","CH","SY","TW","TJ","TZ","TH","TL","TG","TK","TO","TT","TN","TR","TM","TC","TV","UG","UA","AE","GB","UM","UY","UZ","VU","VE","VN","VG","VI","WF","EH","YE","ZM","ZW","US"],"uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.address.oneOf.0.country.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.address.oneOf.0.country.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.address.oneOf.0.country","typeLabel":"enum\u003cstring> | null"},"line1":{"oneOf":[{"type":"string","description":"The first line of the address","example":"123, King Street","maxLength":200,"uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.address.oneOf.0.line1.oneOf.0","typeLabel":"string"},{"type":"null","description":"The first line of the address","example":"123, King Street","maxLength":200,"uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.address.oneOf.0.line1.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.address.oneOf.0.line1","typeLabel":"string | null"},"line2":{"oneOf":[{"type":"string","description":"The second line of the address","example":"Powelson Avenue","maxLength":50,"uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.address.oneOf.0.line2.oneOf.0","typeLabel":"string"},{"type":"null","description":"The second line of the address","example":"Powelson Avenue","maxLength":50,"uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.address.oneOf.0.line2.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.address.oneOf.0.line2","typeLabel":"string | null"},"line3":{"oneOf":[{"type":"string","description":"The third line of the address","example":"Bridgewater","maxLength":50,"uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.address.oneOf.0.line3.oneOf.0","typeLabel":"string"},{"type":"null","description":"The third line of the address","example":"Bridgewater","maxLength":50,"uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.address.oneOf.0.line3.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.address.oneOf.0.line3","typeLabel":"string | null"},"zip":{"oneOf":[{"type":"string","description":"The zip/postal code for the address","example":"08807","maxLength":50,"uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.address.oneOf.0.zip.oneOf.0","typeLabel":"string"},{"type":"null","description":"The zip/postal code for the address","example":"08807","maxLength":50,"uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.address.oneOf.0.zip.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.address.oneOf.0.zip","typeLabel":"string | null"},"state":{"oneOf":[{"type":"string","description":"The address state","example":"New York","uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.address.oneOf.0.state.oneOf.0","typeLabel":"string"},{"type":"null","description":"The address state","example":"New York","uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.address.oneOf.0.state.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.address.oneOf.0.state","typeLabel":"string | null"},"first_name":{"oneOf":[{"type":"string","description":"The first name for the address","example":"John","maxLength":255,"uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.address.oneOf.0.first_name.oneOf.0","typeLabel":"string"},{"type":"null","description":"The first name for the address","example":"John","maxLength":255,"uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.address.oneOf.0.first_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.address.oneOf.0.first_name","typeLabel":"string | null"},"last_name":{"oneOf":[{"type":"string","description":"The last name for the address","example":"Doe","maxLength":255,"uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.address.oneOf.0.last_name.oneOf.0","typeLabel":"string"},{"type":"null","description":"The last name for the address","example":"Doe","maxLength":255,"uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.address.oneOf.0.last_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.address.oneOf.0.last_name","typeLabel":"string | null"}},"additionalProperties":false,"uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.address.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.address.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.address","typeLabel":"object | null"},"phone":{"oneOf":[{"type":"object","properties":{"number":{"oneOf":[{"type":"string","description":"The contact number","example":"9123456789","uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.phone.oneOf.0.number.oneOf.0","typeLabel":"string"},{"type":"null","description":"The contact number","example":"9123456789","uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.phone.oneOf.0.number.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.phone.oneOf.0.number","typeLabel":"string | null"},"country_code":{"oneOf":[{"type":"string","description":"The country code attached to the number","example":"+1","uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.phone.oneOf.0.country_code.oneOf.0","typeLabel":"string"},{"type":"null","description":"The country code attached to the number","example":"+1","uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.phone.oneOf.0.country_code.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.phone.oneOf.0.country_code","typeLabel":"string | null"}},"uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.phone.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.phone.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.phone","typeLabel":"object | null"},"email":{"oneOf":[{"type":"string","uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.email.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.email.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0.email","typeLabel":"string | null"}},"additionalProperties":false,"uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"payment_method_data.oneOf.1.billing.oneOf.1","typeLabel":"null"}],"uniqueKey":"payment_method_data.oneOf.1.billing","typeLabel":"object | null"}},"uniqueKey":"payment_method_data.oneOf.1","typeLabel":"CardRedirect · object"},{"type":"object","title":"Wallet","description":"The payment method information provided for making a payment","required":["wallet"],"properties":{"wallet":{"oneOf":[{"type":"object","required":["ali_pay_qr"],"properties":{"ali_pay_qr":{"type":"object","isRequired":true,"uniqueKey":"payment_method_data.oneOf.2.wallet.oneOf.0.ali_pay_qr","typeLabel":"object"}},"isRequired":true,"uniqueKey":"payment_method_data.oneOf.2.wallet.oneOf.0","typeLabel":"object"},{"type":"object
[...]
